Author Topic: wbstats and WB 2.12.2 r379  (Read 663 times)

Offline RonK

  • Posts: 147
  • Gender: Male
    • Progstreaming Classic
wbstats and WB 2.12.2 r379
« on: January 16, 2021, 08:56:31 PM »
Hi,

I run several sites with WB and use WBstats as a nice monitoring tool.
It became even better with version 2.2.

One of my sites was already updated to 2.12.2 r379 and we noticed the stats do not work anymore. Another site with WB 2.11 (and 2.10) does work and I could also upgrade it to WBstats 2.2.

So, I decided to remove the WBstats module (uninstall via Add-ons --> modules). Now I cannot reinstall it.
Checked the modules directory on the server and it was gone.
When I re-install it, the directory and its files are created. And there is an error in the backend:

[233] The addon wbstats is not installed properly!

Also it is not listed in the module details list.

Tripple checked the "include (WB_PATH.'/modules/wbstats/count.php');" line in the index file of the template I use.

Has this to do with the combination of WB and WBstats I use for this site (http://progsteraming.com/extended)

Thank you in advance for any advise.
Best regards, Ron

Offline dbs

  • Betatester
  • **
  • Posts: 8624
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: wbstats and WB 2.12.2 r379
« Reply #1 on: January 17, 2021, 12:15:24 AM »
Hi, i tested v0.2.2 with the latest WB 2.13 and PHP 7.4.
It works all, upgrade, uninstall, install.

Maybe in your case only the files were deleted, but the database entries remained?

Offline hgs

  • Betatester
  • **
  • Posts: 1396
    • EFG MG
Re: wbstats and WB 2.12.2 r379
« Reply #2 on: January 17, 2021, 07:18:41 AM »
I have tested it successfully on a WB 2.12.2 r379 php 7.3 as an update from WBStat 0.2.1 to 0.2.2.

After that I uninstalled it and reinstalled it with the latest version.
I had no problems
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Offline RonK

  • Posts: 147
  • Gender: Male
    • Progstreaming Classic
Re: wbstats and WB 2.12.2 r379
« Reply #3 on: January 18, 2021, 07:52:00 PM »
Thanks guys,

It seems I have to poke around in the database.

Best regards, Ron

Offline RonK

  • Posts: 147
  • Gender: Male
    • Progstreaming Classic
Re: wbstats and WB 2.12.2 r379
« Reply #4 on: January 18, 2021, 07:58:08 PM »
Hmm,

Checked and there are not mod_wbstats_* in the database. Compared to other sites I run.

Any other ideas?

Offline dbs

  • Betatester
  • **
  • Posts: 8624
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: wbstats and WB 2.12.2 r379
« Reply #5 on: January 18, 2021, 09:03:06 PM »
You could go to Add-ons > Advanced, tick the checkbox Modules and click reload.
Maybe uninstall is now possible.
« Last Edit: January 18, 2021, 09:15:36 PM by dbs »

Offline RonK

  • Posts: 147
  • Gender: Male
    • Progstreaming Classic
Re: wbstats and WB 2.12.2 r379
« Reply #6 on: January 21, 2021, 04:34:29 PM »
Thanks DBS,

I did a reload and it did not show in either uninstall or version lines.

I have to think of something else.

Best regards, Ron

Offline RonK

  • Posts: 147
  • Gender: Male
    • Progstreaming Classic
Re: wbstats and WB 2.12.2 r379
« Reply #7 on: February 08, 2021, 07:58:13 PM »
Unfortunally this does not work.

Now I have the website locally running with Xampp (with PHP7).
Also locally I cannot get wbstats loaded.

Now PHP8 is coming (and already here), I try to run the website with the newer version of Xampp (with PHP8 and MariaDB).
I need PHP8 to upgrade to the latest version of WB and try again to upload the wbstats

The site does not run on this newer version of Xampp.
I get the error "Exception: "Access denied for user 'root'@'localhost' (using password: YES)" >> Exception detected in: [\framework\class.database.php]"
For now I cannot get my finger behind it.

Any suggestions are appreciated.

Offline dbs

  • Betatester
  • **
  • Posts: 8624
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: wbstats and WB 2.12.2 r379
« Reply #8 on: February 08, 2021, 10:06:50 PM »
WB 2.12.x is for PHP 5.6 to 7.3
WB 2.13.x is for 7.4
Don't use PHP 8. Wait for a WB versions which is prepaired for it.

Offline RonK

  • Posts: 147
  • Gender: Male
    • Progstreaming Classic
Re: wbstats and WB 2.12.2 r379
« Reply #9 on: February 12, 2021, 02:23:27 PM »
Thanks DBS,

Yes, I realize that now.
So I changed the version of Xampp.

When creating a new site on my computer with Xampp (PHP7.4) and WB2.13.x I get the following error:

Access denied for user 'root'@'localhost' (using password: YES)A PW is set in the

I set a password in my.ini file of MariaDB.
Used that same password in the installation screen.

I think the error has to do with the newer version of Xampp (hence PHP and MariaDB). I do not know where to look for.
With the older version WB2.12 and PHP7.3 there are no problems.

Do you have any idea?

Offline dbs

  • Betatester
  • **
  • Posts: 8624
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: wbstats and WB 2.12.2 r379
« Reply #10 on: February 12, 2021, 02:52:09 PM »
Hi, i don't use XAMPP, therefore i haven't infos for the XAMPP database access.
Hope someone can help you.

The question is, why you don't use the WB Portable?  :)
https://portable.WebsiteBaker.org/en/about-portable-edition.php